HALLOWEEN
 2310.553055
Zyxel GS1915-8 Managed L2 Gigabit Ethernet (10/100/1000) Black - Switches - Network Devices - Techbox
Zyxel GS1915-8 Managed L2 Gigabit Ethernet (10/100/1000) Black
78.99 €

Zyxel GS1915-8 Managed L2 Gigabit Ethernet (10/100/1000) Black

AC-374E50
Free shipping from 80 up to 2 kg
+ −
Add to Wishlist
Availabilities

In Stock

7 - 10 Working Days

Available Soon

Pre-Order

Out of Stock

Shipping/Pick-up Methods
Payment Methods
Short description

The Zyxel GS1915-8 Managed L2 Gigabit Ethernet Switch in sleek black delivers robust network performance for small business environments. This smart managed switch is part of the compact and affordable GS1915 Series, designed to provide reliable connectivity.

Key Features & Benefits

  • Managed L2 Gigabit Ethernet: Experience advanced Layer 2 management capabilities for optimized network control and efficiency.
  • Compact and Affordable: This 8-port switch offers a cost-effective solution without compromising on essential features for your network infrastructure.
  • Industry Standard Compliance: Certified with CE, FCC, C-Tick, Class A, Class B, and BSMI CNS13438, ensuring broad compatibility and reliability.

Who It's For

This switch is ideal for small businesses seeking a powerful yet user-friendly solution to manage their network traffic effectively. It's perfect for IT enthusiasts and professionals who require a reliable, high-performance switch for their growing network needs.

Upgrade your network with the Zyxel GS1915-8 and experience seamless, managed connectivity.

Specifications
Additional Info
CE, FCC, C-Tick, Class A, Class B, BSMI CNS13438<br/>RFC 1213 MIB II, RFC 2819, RFC 1215, RFC 1493
Color
 Black
EAN
4718937621897
MPN
GS1915-8-EU0101F
Manufacturer
Zyxel
Warranty (Months)
No warranty
Specification notes
Specifications are provided by the manufacturer and may change without notice. If a particular detail is critical to your choice, please also confirm it on the manufacturer's official product page
Price Alerts
As soon as the price of the products decreases, you will immediately know about it.
Keep track of price reductions

The price has not changed yet. We will show it on this chart once it changes

Reviews

No reviews found

  • Recently Viewed
 
FAST SHIPPING WORLDWIDE!

Choose the courier that suits you best. We deliver everything – from collectibles to gadgets – safely to your doorstep.

TECHBOX QUALITY GUARANTEE

We only select what we would buy ourselves. 100% authentic products and reliability in every item you see.

14-DAY EASY RETURNS

Not quite what you were looking for? If the product is intact, returning it is quick and simple. Easy peasy!